Список форумов Конференция САПР Bentley MicroStation Конференция САПР Bentley MicroStation
www.ustation.ru
 
 FAQFAQ   ПоискПоиск   ПользователиПользователи   ГруппыГруппы   РегистрацияРегистрация 
 ПрофильПрофиль   Войти и проверить личные сообщенияВойти и проверить личные сообщения   ВходВход 

изменить наклоны селлов и текстов от горизонтальной плоскост

 
Начать новую тему   Ответить на тему    Список форумов Конференция САПР Bentley MicroStation -> Работа в MicroStation
Предыдущая тема :: Следующая тема  
Автор Сообщение
АлексЮстасу



Зарегистрирован: 22.06.2012
Сообщения: 103
Откуда: Москва

СообщениеДобавлено: Чт Сен 25, 2014 4:26 pm    Заголовок сообщения: изменить наклоны селлов и текстов от горизонтальной плоскост Ответить с цитатой

Из-за недосмотра исполнителя за AccuDraw в файле оказались селлы и тексты, наклоненные относительно горизонтальной плоскости.
Как бы их все одним махом выровнять в горизонталь?
Поштучно это можно сделать в Information - выставить Rotation-X, Rotation-Y в ноль. Но так только поштучно.
Вернуться к началу
Посмотреть профиль Отправить личное сообщение
Leonid
давно здесь сидим


Зарегистрирован: 28.01.2006
Сообщения: 598
Откуда: С.-Петербург

СообщениеДобавлено: Пт Сен 26, 2014 8:03 am    Заголовок сообщения: Ответить с цитатой

А если использовать эту же самую Information, но только для большого числа выделенных объектов?
Вернуться к началу
Посмотреть профиль Отправить личное сообщение Отправить e-mail
АлексЮстасу



Зарегистрирован: 22.06.2012
Сообщения: 103
Откуда: Москва

СообщениеДобавлено: Пт Сен 26, 2014 2:57 pm    Заголовок сообщения: Ответить с цитатой

Да. Точно. Спасибо!
Просто я вчера смотрел, выделив все селлы - строки в Information с Rotation-X, Rotation-Y, Rotation-Z не выдавались.
Сейчас увидел, что эти происходит тогда, когда хоть у одного выделенного селла Rotation-X, Rotation-Y равны нулю.
Это можно как-то объехать?
Эти Rotation в выборках вроде бы не нельзя задать, чтобы найти только те, у которых Rotation-X, Rotation-Y не ноль?
Вернуться к началу
Посмотреть профиль Отправить личное сообщение
Leonid
давно здесь сидим


Зарегистрирован: 28.01.2006
Сообщения: 598
Откуда: С.-Петербург

СообщениеДобавлено: Вт Сен 30, 2014 9:26 am    Заголовок сообщения: Ответить с цитатой

Ну наверно как-то так
Код:

    Dim ee As ElementEnumerator
    Dim esc As ElementScanCriteria
   
    Set esc = New ElementScanCriteria
   
    esc.ExcludeAllTypes
    esc.IncludeType msdElementTypeCellHeader
   
    Dim cel As CellElement
   
    Set ee = ActiveModelReference.Scan(esc)
    Do While ee.MoveNext
        Set cel = ee.Current.AsCellElement
       ' если есть поворот
        If Not Matrix3dIsIdentity(cel.Rotation) Then
            ActiveModelReference.SelectElement cel
        Else
        End If
    Loop

Вернуться к началу
Посмотреть профиль Отправить личное сообщение Отправить e-mail
Показать сообщения:   
Начать новую тему   Ответить на тему    Список форумов Конференция САПР Bentley MicroStation -> Работа в MicroStation Часовой пояс: GMT + 3
Страница 1 из 1

 
Перейти:  
Вы не можете начинать темы
Вы не можете отвечать на сообщения
Вы не можете редактировать свои сообщения
Вы не можете удалять свои сообщения
Вы не можете голосовать в опросах


Powered by phpBB © 2001, 2005 phpBB Group